#
# spec file for package perl-ORLite
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-ORLite
Version:        1.98
Release:        1.1
%define cpan_name ORLite
Summary:        Extremely light weight SQLite-specific ORM
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/ORLite/
Source:         http://www.cpan.org/authors/id/A/AD/ADAMK/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(DBD::SQLite) >= 1.27
BuildRequires:  perl(DBI) >= 1.607
BuildRequires:  perl(File::Path) >= 2.08
BuildRequires:  perl(File::Remove) >= 1.40
BuildRequires:  perl(File::Temp) >= 0.20
BuildRequires:  perl(Params::Util) >= 1.00
BuildRequires:  perl(Test::Script) >= 1.06
Requires:       perl(DBD::SQLite) >= 1.27
Requires:       perl(DBI) >= 1.607
Requires:       perl(File::Path) >= 2.08
Requires:       perl(File::Remove) >= 1.40
Requires:       perl(File::Temp) >= 0.20
Requires:       perl(Params::Util) >= 1.00
%{perl_requires}

%description
the SQLite manpage is a light single file SQL database that provides an
excellent platform for embedded storage of structured data.

However, while it is superficially similar to a regular server-side SQL
database, SQLite has some significant attributes that make using it like a
traditional database difficult.

For example, SQLite is extremely fast to connect to compared to server
databases (1000 connections per second is not unknown) and is particularly
bad at concurrency, as it can only lock transactions at a database-wide
level.

This role as a superfast internal data store can clash with the roles and
designs of traditional object-relational modules like the Class::DBI
manpage or the DBIx::Class manpage.

What this situation would seem to need is an object-relation system that is
designed specifically for SQLite and is aligned with its idiosyncracies.

ORLite is an object-relation system specifically tailored for SQLite that
follows many of the same principles as the ::Tiny series of modules and has
a design and feature set that aligns directly to the capabilities of
SQLite.

Further documentation will be available at a later time, but the synopsis
gives a pretty good idea of how it works.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.98
  see /usr/share/doc/packages/perl-ORLite/Changes
  1.98 Sat 29 Sep 2012
  - When setting pragmas in void context, skip reading the changed
  pragma back out of the database pointlessly.
  - Removed legacy support for static ->delete('where ...')
  1.97 Mon 21 May 2012
  - Use reproducible longdouble in tests (HMBRAND)
  1.96 Mon 27 Feb 2012
  - Fixed a crash in the legacy delete emulation where the condition
  clause provided was a constant or read-only.
  1.95 Mon 27 Feb 2012
  - Fixed a fatal rowid big when generating in array mode
  1.94 Mon 27 Feb 2012
  - Fixed a fatal rowid bug when a table had a single non-INTEGER
  primary key.
  - Fixed bug in affinity detection code to now set REAL and
  NUMERIC affinity correctly.
  1.93 Mon 27 Feb 2012
  - The previous release 1.92 was done with a missing commit,
  this release restores that missing code.
  1.92 Mon 27 Feb 2012
  - Add the ->delete_where method for bulk deletion
  - Always do the initial metadata scan using ReadOnly => 1.
  - When generating readonly, DBI connections use ReadOnly => 1 too.
  - Quote identifiers more correctly via $dbh->quote_identifier.
  - Temporarily restory the static delete call to prevent breaking
  Padre and other applications still using the old version of
  delete.
  1.91 Thu 23 Feb 2012
  - Calculate column affinity types in the metadata preparation phase
  - Throw an exception when tables contain BLOB types and the database
  is unicode, as the blob data will be corrupted.
  - Improved testing for blobs and unicode, and TODO a known problem
  1.90 Tue 21 Feb 2012
  - Removed x_rowid parameter and make the rowid logic compulsory.
  - Removed x_update parameter and make update method compulsory at
  the table level but do not generate on the root level.
  - As a result, ORLite now supports creating and updating objects
  even when they come from tables without primary keys.
  - Pending release as 2.00 once clarifying documentation is written.
  1.54 Tue 21 Feb 2012
  - Added experimental x_rowid parameter to maintain SQLite rowids in
  the objects
  1.53 Tue 21 Feb 2012
  - Add a ->id convenience method alias when table 'foo' has a single
  numeric primary key 'foo_id' so you can use $foo->id
  1.52 Sat 21 Jan 2012
  - Added initial unicode => 1 support (MEMOWE)
  - Bumped Params::Util dependency to 1.0 for *LIKE fixes (ADAMK)
  1.51 Fri 25 Nov 2011
  - Module::Install::DSL updated to 1.04
  - Automatically load overlay classes if there exist. That is, where a
  Foo/TableName.pm module exists in addition to the automatically
  generated Foo::TableName class.
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.52
  see /usr/share/doc/packages/perl-ORLite/Changes
  1.52 Sat 21 Jan 2012
  - Added initial unicode => 1 support (MEMOWE)
  - Bumped Params::Util dependency to 1.0 for *LIKE fixes (ADAMK)
  1.51 Fri 25 Nov 2011
  - Module::Install::DSL updated to 1.04
  - Automatically load overlay classes if there exist. That is, where a
  Foo/TableName.pm module exists in addition to the automatically
  generated Foo::TableName class.
* Tue Feb 14 2012 tuukka.pasanen@ilmi.fi
- Update to 1.52
  - This is for Parde
* Wed Jun  8 2011 coolo@novell.com
- updated to 1.50
  - Removed normalize as a supported parameter, normalizing columns turns
    out not to work in practice. However, we always normalize tables to
    get the class name for the table as that seems to result in class
    names that make much more sense.
  - Adding normalize support to turn columnName into column_name
* Mon Jan 31 2011 pascal.bleser@opensuse.org
- update to 1.48:
  * initial support for shim => 1 to simplify customisation
* Mon Dec 27 2010 pascal.bleser@opensuse.org
- initial package (1.47)
